
angular.module('biotable', [])

.controller('tableCtrl', ['$scope', '$window', function($scope, $window){
	
	$scope.data = {
		agnp: {
			name: 'AgNp',
			cappingAgents: {				
					asp: {
						name: 'Aspartame',
						//WATER
						water: {val: 149.9, err: '13.5 h', img:'img/1.1.jpg'},
						//BIO
						bio:{
							pbs: {val: 16.4, err: '1.1 h', img: 'img/1.2.jpg'},
							saline: {val: 7.8, err: '1.9 h', img: 'img/1.3.jpg'},
							hepes: {val: 14.5, err: '2.4 h', img: 'img/1.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: 51.3, err: ' 15.9 h', img: 'img/1.5.jpg'},
							mh: {val: 11.3, err: '0.8 h', img: 'img/1.6.jpg'},
							m9: {val: 7.5, err: '0.3 h', img: 'img/1.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: 8.4, err: '0.1 h', img: 'img/1.8.jpg'},
							kbm: {val: 1.1, err: '0.0 h', img: 'img/1.9.jpg'}	
						}						
					},
					glu: {
						name: 'Glucosamine',
						//WATER
						water: {val: '> 168 h', err: '0.0 h', img: 'img/2.1.jpg'},
						//BIO
						bio:{
							pbs: {val: 17.9, err: '2.4 h', img: 'img/2.2.jpg'},
							saline: {val: 14.1, err: '2.6 h', img: 'img/2.3.jpg'},
							hepes: {val: '> 168 h', err: '0.0', img: 'img/2.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: 21.4, err: '3.4 h', img: 'img/2.5.jpg'},
							mh: {val: 14.1, err: '0.4 h', img: 'img/2.6.jpg'},
							m9: {val: '> 72 h', err: '0.0', img: 'img/2.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: '4.0', err: '0.1 h', img: 'img/2.8.jpg'},
							kbm: {val: 1.6, err: '0.1 h', img: 'img/2.9.jpg'}	
						}				
					},
					suc: {
						name: 'Sucralose',
						//WATER
						water: {val: '> 168 h', err: '0.0', img: 'img/3.1.jpg'},
						//BIO
						bio:{
							pbs: {val: '> 168 h', err: '0.0 h', img: 'img/3.2.jpg'},
							saline: {val: 18.8, err: '2.1 h', img: 'img/3.3.jpg'},
							hepes: {val: 25.2, err: '2.5 h', img: 'img/3.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: 11.8, err: '1.3 h', img: 'img/3.5.jpg'},
							mh: {val: 17.5, err: '1.9 h', img: 'img/3.6.jpg'},
							m9: {val: 17.4, err: '2.0 h', img: 'img/3.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: 3.8, err: '0.2 h', img: 'img/3.8.jpg'},
							kbm: {val: 1.6, err: '0.1 h', img: 'img/3.9.jpg'}	
						}			
					},
			}
		},
		aunp: {
			name: 'AuNp',
			cappingAgents: {				
					asp: {
						name: 'Aspartame',
						//WATER
						water: {val: '> 168 h', err: '0.0', img: 'img/4.1.jpg'},
						//BIO
						bio:{
							pbs: {val: 92.9, err: '1.8 h', img: 'img/4.2.jpg'},
							saline: {val: 96.1, err: '1.0 h', img: 'img/4.3.jpg'},
							hepes: {val: 59.4, err: '8.4 h', img: 'img/4.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: 0, err: '0.0', img: 'img/4.5.jpg'},
							mh: {val: '> 72 h', err: '0.0', img: 'img/4.6.jpg'},
							m9: {val: '> 72 h', err: '0.0', img: 'img/4.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: '> 72 h', err: '0.0', img: 'img/4.8.jpg'},
							kbm: {val: '> 72 h', err: '0.0', img: 'img/4.9.jpg'}	
						}						
					},
					glu: {
						name: 'Glucosamine',
						//WATER
						water: {val: '> 168 h', err: '0.0', img: 'img/5.1.jpg'},
						//BIO
						bio:{
							pbs: {val: '> 168 h', err: '0.0', img: 'img/5.2.jpg'},
							saline: {val: '> 168 h', err: '0.0', img: 'img/5.3.jpg'},
							hepes: {val: '> 168 h', err: '0.0', img: 'img/5.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: 0, err: '0.0', img: 'img/5.5.jpg'},
							mh: {val: 12.1, err: '0.4 h', img: 'img/5.6.jpg'},
							m9: {val: '> 72 h', err: '0.0', img: 'img/5.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: '> 72 h', err: '0.0', img: 'img/5.8.jpg'},
							kbm: {val: '> 72 h', err: '0.0', img: 'img/5.9.jpg'}	
						}				
					},
					suc: {
						name: 'Sucralose',
						//WATER
						water: {val: '> 168 h', err: '0.0', img: 'img/6.1.jpg'},
						//BIO
						bio:{
							pbs: {val: '> 168 h', err: '0.0', img: 'img/6.2.jpg'},
							saline: {val: '> 168 h', err: '0.0', img: 'img/6.3.jpg'},
							hepes: {val: '> 168 h', err: '0.0', img: 'img/6.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: '> 72 h', err: '0.0', img: 'img/6.5.jpg'},
							mh: {val: '> 72 h', err: '0.0', img: 'img/6.6.jpg'},
							m9: {val: '> 72 h', err: '0.0', img: 'img/6.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: '> 72 h', err: '0.0', img: 'img/6.8.jpg'},
							kbm: {val: 7.3, err: '0.4 h', img: 'img/6.9.jpg'}	
						}			
					},
			}
		},
		aunpag: {
			name: 'AuNP@Ag',
			cappingAgents: {				
					asp: {
						name: 'Aspartame',
						//WATER
						water: {val: '120.0', err: '22.3 h', img: 'img/7.1.jpg'},
						//BIO
						bio:{
							pbs: {val: '165.0', err: '4.4 h', img: 'img/7.2.jpg'},
							saline: {val: 6.1, err: '2.0 h', img: 'img/7.3.jpg'},
							hepes: {val: 120.8, err: '23.4 h', img: 'img/7.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: 0, err: '0.0', img: 'img/7.5.jpg'},
							mh: {val: 0, err: '0.0', img: 'img/7.6.jpg'},
							m9: {val: '43.0', err: '8.1 h', img: 'img/7.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: 26.8, err: '0.7 h', img: 'img/7.8.jpg'},
							kbm: {val: 0, err: '0.0', img: 'img/7.9.jpg'}	
						}						
					},
					glu: {
						name: 'Glucosamine',
						//WATER
						water: {val: '> 168 h', err: '0.0', img: 'img/8.1.jpg'},
						//BIO
						bio:{
							pbs: {val: '35.0', err: '3.9 h', img: 'img/8.2.jpg'},
							saline: {val: 4, err: '1.3 h', img: 'img/8.3.jpg'},
							hepes: {val: '> 168 h', err: '0.0', img: 'img/8.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: 0, err: '0.0', img: 'img/8.5.jpg'},
							mh: {val: 0, err: '0.0', img: 'img/8.6.jpg'},
							m9: {val: 15.2, err: '4.7 h', img: 'img/8.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: 34.5, err: '5.7 h', img: 'img/8.8.jpg'},
							kbm: {val: 0, err: '0.0', img: 'img/8.9.jpg'}	
						}				
					},
					suc: {
						name: 'Sucralose',
						//WATER
						water: {val: '> 168 h', err: '0.0', img: 'img/9.1.jpg'},
						//BIO
						bio:{
							pbs: {val: '158.0', err: '5.9 h', img: 'img/9.2.jpg'},
							saline: {val: 4, err: '0.7 h', img: 'img/9.3.jpg'},
							hepes: {val: '> 168 h', err: '0.0', img: 'img/9.4.jpg'},
						},
						//BAC
						bac: {
							lb: {val: 0, err: '0.0', img: 'img/9.5.jpg'},
							mh: {val: 0, err: '0.0', img: 'img/9.6.jpg'},
							m9: {val: 43.7, err: '7.7 h', img: 'img/9.7.jpg'},
						},						
						//EUKO
						euko: {
							dmem: {val: 27.4, err: '1.0', img: 'img/9.8.jpg'},
							kbm: {val: 0, err: '0.0', img: 'img/9.9.jpg'}	
						}			
					},
			}
		}
	};
	$scope.getWaterColor = function(val){
		if (typeof(val) == 'string'){
			val = val.replace(/\D/g,'');
		}		
		if(val > 100){
			return 'note note1';
		}else if(val < 100 && val > 75){
			return 'note note2';
		}else if(val < 75 && val > 50){
			return 'note note3';
		}else if(val < 50 && val > 25){
			return 'note note4';
		}else{
			return 'note note5';
		}
	}
	$scope.getBioColor = function(val){
		if (typeof(val) == 'string'){
			val = val.replace(/\D/g,'');
		}		
		if(val > 40){
			return 'note note1';
		}else if(val < 40 && val > 30){
			return 'note note2';
		}else if(val < 30 && val > 20){
			return 'note note3';
		}else if(val < 20 && val > 10){
			return 'note note4';
		}else{
			return 'note note5';
		}
	}
	
	$scope.openImg = function(img) {
        $window.open(img, 'Image', 'width=500,height=400');
    };
	console.log($scope.data);
}]);